:root {
    --background-color: hsl(0, 0%, 96%);
}

/* Hero */

.top_blog {
    place-items: start center;
    font-family: 'Barlow Condensed', 'Barlow', sans-serif;

}

.hero-img_blog {
    background: linear-gradient(93.07deg, hsl(194, 93%, 21%) 22.61%, hsl(193, 100%, 42%) 109.15%);
    filter: unset;
}

.hero-text_wrapper {
    max-width: 1200px;
}

@media screen and (max-width: 850px) {
    .hero-text_wrapper h1 img {
        display: none;
    }    
}

.top_blog-text {
    text-transform: none;
    font-weight: 500;
    color: #F6F6F6;
}

@media screen and (max-width: 500px) {
    .top_blog-text {
        font-size: 1.75rem;
    }
}

.top_blog-text_under {
    font-size: clamp(0.5rem, 1rem + 0.6vw, 1.5rem);
    font-weight: 400;
    padding: 2rem;
    color: hsl(193, 79%, 90%);
}

@media screen and (max-width: 850px) {
    .top_blog-text_under {
        padding: 0 2rem;
    }
}

/* h2 {
    max-width: 1200px;
    margin: 0 auto;
    padding: 2rem 2rem 0.5rem 2rem;
} */

/* Filters and search */

.filters-search_wrapper {
    max-width: 1200px;
    margin: 0 auto;
    padding: 2rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 0.75rem 2rem;
    /* border-bottom: 1px solid hsl(194, 93%, 21%); */
    position: relative;

    @media screen and (max-width: 768px) {
        grid-template-columns: 1fr;
    }
}

.filters-search_wrapper::after {
    content: "";
    position: absolute;
    bottom: 0;
    display: block;
    width: calc(100% - 4rem);
    height: 1px;
    background-color: hsl(194, 93%, 21%);
    left: 2rem;
}

.all-articles {
    width: fit-content;
    cursor: pointer;
    color: hsl(193, 100%, 42%);
    text-decoration: underline;
    font-size: 0.875rem;
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
}

.filters-list {
    grid-column: 1;
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.filter {
    cursor: pointer;
    font-size: 1rem;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    background-color: #FFFFFF;
    color: hsl(194, 93%, 21%);
    border: 1px solid hsl(0, 0%, 96%);
    box-shadow: 0px 2px 4px 0px hsla(0, 0%, 0%, 0.051);
    border-radius: 4px;
    padding: 12px;
    transition: all 0.3s;
}

.filter.active {
    background-color: hsl(193, 100%, 42%);
    color: #FFFFFF;
    border: none;
}

.search {
    display: flex;
    justify-content: flex-end;

    @media screen and (max-width: 768px) {
        justify-content: center;
    }
}

.search-label {
    position: relative;
    display: flex;
    align-items: center;
    height: fit-content;
    max-width: 300px;
    width: 100%;
}

.search-icon {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.search-input {
    width: 100%;
    padding: 10px 10px 10px 50px;
    border-radius: 50vh;
    border: 1px solid hsla(194, 93%, 42%, 0.42);
    font-size: 1rem;
    outline: none;
}

.search-input::placeholder {
    color: hsla(192, 73%, 30%, 0.502);
}

.search-input:focus {
    border: 1px solid hsl(193, 100%, 42%);
}

/* Articles */

.no-article {
    margin-block: 4rem;
    width: 100%;
    text-align: center;
}

.latest-article_wrapper {
    padding-bottom: 2rem
}

.latest-article {
    max-width: 1200px;
    margin: 0 auto;
    padding: 2rem;
    
}

.liste_articles_wrapper {
    max-width: 1200px;
    margin: 0 auto;
    padding: 2rem;
}

.liste_articles {
    margin: 0 auto;
    max-width: 100%;
}

.article-list-item {
    width: 100%;
    max-width: 320px;
    margin-bottom: 32px;
    border-radius: 30px 30px;
    box-shadow: 0px 2px 13.3px 0px hsla(0, 0%, 0%, 0.1);
    overflow: hidden;
}

.article-main {
    display: flex;
    flex-direction: row;
    gap: 2rem;
}

@media screen and (max-width: 950px) {
	.article-main {
    flex-direction: column;
	}
}

.article-main .article_link img {
    max-height: 400px;
    object-fit: cover;
}

@media screen and (max-width: 768px) {
    .article-main .article_link img {
        max-height: 300px;
    }
}

@media screen and (max-width: 500px) {
    .article-main .article_link img {
        max-height: 250px;
    }
}

.article-main > .article_link {
    border-radius: 30px;
}

.article-main .article_link {
    flex-direction: row;
    align-items: stretch;
    background-color: transparent;
    box-shadow: none;
    display: flex;
    gap: 2rem;
    width: 100%;
}

.article-main .img_article_wrapper {
    border-radius: 30px ;
    overflow: hidden;
}

.article_link:is(:link, :visited) {
    color: #000;
    height: stretch;
}

.img_article {
    height: 200px;
    width: 100%;
    object-fit: cover;
    background-color: #fff;
    flex-shrink: 0;
}

.article_link .img_article_wrapper {
    display: inline-block;
    overflow: hidden;
    width: 100%;
    height: fit-content;
}

.article_link .img_article_wrapper img {
    object-fit: cover;
    vertical-align: middle;
    transition: transform 0.3s ease;
}

.article_link:hover .img_article_wrapper img {
    transform: scale(1.1);
}

.article-main .article_link:hover .img_article_wrapper img {
    transform: scale(1.05);
}

.img_article-placeholder {
    background-color: hsl(0, 0%, 75%);
}

.article_content {
    padding: 1rem 1rem 1.25rem 1rem;
    width: 100%;
    box-sizing: border-box;
}

.article_top {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
}

.article_top .tags {
    display: flex;
    gap: 5px;
    flex-wrap: wrap;
} 

.tags .filter {
    width: fit-content;
    box-shadow: none;
    font-size: 0.9rem;
}

.article_top img {
    height: 1.2rem;
    width: auto;
    margin-top: 8px;
    filter: invert(50%) sepia(38%) saturate(4976%) hue-rotate(155deg) brightness(92%) contrast(102%);

}

.article_top .article_link {
    width: fit-content;
}

.article_top a {
    color: #000;
}

.article_title {
    font-family: 'Barlow Condensed', sans-serif;
    font-size: 1.5rem;
    line-height: 1.5rem;
    font-weight: 600;
    text-transform: none;
    margin-block: 1rem;
}

.article_text,
.article-main .article_text p {
    font-family: 'Barlow', sans-serif;
    font-weight: 300;
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;  
    overflow: hidden;
}

.article-main .article_content_bottom {
    padding-bottom: 1rem;
}

.article_content_bottom {
    display: flex;
    justify-content: space-between;
}

.article_link-inner {
    cursor: pointer;
    color: hsl(193, 100%, 42%);
    text-decoration: underline;
    font-family: 'Barlow', sans-serif;
    font-weight: 300;
}

.date_article {
    font-family: 'Barlow', sans-serif;
    font-weight: 300;
    color: hsl(194, 93%, 21%);
}

@media screen and (max-width: 1000px) {
	.article-main .article_link {
            flex-direction: column;
        }
    }

.article-main .img_article {
        height: auto;
        border-radius: 20px;
    width: 100%;
}

@media screen and (max-width: 768px) {
    .article-main .img_article {
            width: 100%;
        }
    }

.article-main .article_content {
        display: flex;
        flex-direction: column;
        padding: 0;
    width: 70%;
}

@media screen and (max-width: 1000px) {
	.article-main .article_content  {
		width: 100%;
	}
}

@media screen and (max-width: 950px) {
    .article-main .article_content {
        width: 100%;
    }
    }

.article-main .article_title {
        font-size: 2.5rem;
        line-height: 2.5rem;
    }

.article-main .article_text {
        flex: 1;
    }

 .article-main .article_category img {
    width: 30px;
}


.tags-list {
    display: flex;
    gap: 0.5rem;
}

.tag {
    border-radius: 4px;
    padding: 0.75rem;
    background-color: hsl(193, 100%, 42%);
    color: #fff;
}

/* Pagination */

.pagination {
    display: flex;
    justify-content: center;
    gap: 0.25rem;
    padding: 2rem;
}

.pagination li {
    display: flex;
}

.pagination_ellipsis,
.pagination_link {
    font-size: 1.5rem;
    color: hsl(0, 0%, 69%);
    font-weight: 600;
}

.pagination_link {
    margin-inline: 0.25rem;
}

.pagination_link:hover,
li.active .pagination_link {
    color: hsl(33, 92%, 50%);
}

.pagination_arrow_left {
    transform: rotate(180deg);
}


.article_content_bottom > .article_link {
  display: none;
}